package com.zcloud.domain.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.domain.persistence.dataobject.DomainGroupDO;
import com.zcloud.domain.persistence.dataobject.DomainGroupUserDO;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:27
 */
public interface DomainGroupRepository extends BaseRepository<DomainGroupDO> {
    PageResponse<DomainGroupDO> listPage(Map<String, Object> params);

    DomainGroupDO getInfoById(Long id);

    List<DomainGroupDO> listAll(Map<String, Object> params);

    List<DomainGroupDO> getListByCorpinfoId(@NotNull(message = "主责企业不能为空") Long corpinfoId);

    DomainGroupDO getInfoByGroupId(String domainGroupId);

}

